import { __assign, __rest } from "tslib";
import { jsx as _jsx, jsxs as _jsxs } from "@emotion/react/jsx-runtime";
import PropTypes from "prop-types";
import { useTheme } from "../../Theme/Providers";
export var IconCodesandbox = function (_a) {
    var providedColor = _a.color, _b = _a.size, providedSize = _b === void 0 ? "md" : _b, other = __rest(_a, ["color", "size"]);
    var theme = useTheme();
    var size = typeof providedSize === "string"
        ? theme.iconSizes[providedSize]
        : providedSize;
    var color = providedColor || theme.colors.text.default;
    return (_jsxs("svg", __assign({ viewBox: "0 0 24 24", fill: "none", stroke: color, strokeWidth: "2", strokeLinecap: "round", strokeLinejoin: "round", height: size, width: size }, other, { children: [_jsx("path", { d: "M21 16V8a2 2 0 0 0-1-1.73l-7-4a2 2 0 0 0-2 0l-7 4A2 2 0 0 0 3 8v8a2 2 0 0 0 1 1.73l7 4a2 2 0 0 0 2 0l7-4A2 2 0 0 0 21 16z" }, void 0),
            _jsx("polyline", { points: "7.5 4.21 12 6.81 16.5 4.21" }, void 0),
            _jsx("polyline", { points: "7.5 19.79 7.5 14.6 3 12" }, void 0),
            _jsx("polyline", { points: "21 12 16.5 14.6 16.5 19.79" }, void 0),
            _jsx("polyline", { points: "3.27 6.96 12 12.01 20.73 6.96" }, void 0),
            _jsx("line", { x1: "12", y1: "22.08", x2: "12", y2: "12" }, void 0)] }), void 0));
};
IconCodesandbox.propTypes = {
    color: PropTypes.string,
    size: PropTypes.oneOfType([
        PropTypes.oneOf(["xs", "sm", "md", "lg", "xl"]),
        PropTypes.number
    ])
};
//# sourceMappingURL=IconCodesandbox.js.map