import { __assign, __rest } from "tslib";
import { jsx as _jsx, jsxs as _jsxs } from "@emotion/react/jsx-runtime";
import PropTypes from "prop-types";
import { useTheme } from "../../Theme/Providers";
export var IconFolderPlus = function (_a) {
    var providedColor = _a.color, _b = _a.size, providedSize = _b === void 0 ? "md" : _b, other = __rest(_a, ["color", "size"]);
    var theme = useTheme();
    var size = typeof providedSize === "string"
        ? theme.iconSizes[providedSize]
        : providedSize;
    var color = providedColor || theme.colors.text.default;
    return (_jsxs("svg", __assign({ viewBox: "0 0 24 24", fill: "none", stroke: color, strokeWidth: "2", strokeLinecap: "round", strokeLinejoin: "round", height: size, width: size }, other, { children: [_jsx("path", { d: "M22 19a2 2 0 0 1-2 2H4a2 2 0 0 1-2-2V5a2 2 0 0 1 2-2h5l2 3h9a2 2 0 0 1 2 2z" }, void 0),
            _jsx("line", { x1: "12", y1: "11", x2: "12", y2: "17" }, void 0),
            _jsx("line", { x1: "9", y1: "14", x2: "15", y2: "14" }, void 0)] }), void 0));
};
IconFolderPlus.propTypes = {
    color: PropTypes.string,
    size: PropTypes.oneOfType([
        PropTypes.oneOf(["xs", "sm", "md", "lg", "xl"]),
        PropTypes.number
    ])
};
//# sourceMappingURL=IconFolderPlus.js.map