import { __assign, __rest } from "tslib";
import { jsx as _jsx, jsxs as _jsxs } from "@emotion/react/jsx-runtime";
import PropTypes from "prop-types";
import { useTheme } from "../../Theme/Providers";
export var IconLifeBuoy = function (_a) {
    var providedColor = _a.color, _b = _a.size, providedSize = _b === void 0 ? "md" : _b, other = __rest(_a, ["color", "size"]);
    var theme = useTheme();
    var size = typeof providedSize === "string"
        ? theme.iconSizes[providedSize]
        : providedSize;
    var color = providedColor || theme.colors.text.default;
    return (_jsxs("svg", __assign({ viewBox: "0 0 24 24", fill: "none", stroke: color, strokeWidth: "2", strokeLinecap: "round", strokeLinejoin: "round", height: size, width: size }, other, { children: [_jsx("circle", { cx: "12", cy: "12", r: "10" }, void 0),
            _jsx("circle", { cx: "12", cy: "12", r: "4" }, void 0),
            _jsx("line", { x1: "4.93", y1: "4.93", x2: "9.17", y2: "9.17" }, void 0),
            _jsx("line", { x1: "14.83", y1: "14.83", x2: "19.07", y2: "19.07" }, void 0),
            _jsx("line", { x1: "14.83", y1: "9.17", x2: "19.07", y2: "4.93" }, void 0),
            _jsx("line", { x1: "14.83", y1: "9.17", x2: "18.36", y2: "5.64" }, void 0),
            _jsx("line", { x1: "4.93", y1: "19.07", x2: "9.17", y2: "14.83" }, void 0)] }), void 0));
};
IconLifeBuoy.propTypes = {
    color: PropTypes.string,
    size: PropTypes.oneOfType([
        PropTypes.oneOf(["xs", "sm", "md", "lg", "xl"]),
        PropTypes.number
    ])
};
//# sourceMappingURL=IconLifeBuoy.js.map